关于er-x咨询有关于固件的一个问题

就是er-x有1.0和2.0的两个固件版本,那么目前我的er-x是2.0.8 hotfix固件,想要刷回到1.10.11固件,是不是只需要在system里面把1.10.11固件上传,自动重启后到CLI里面把2.0.8 hotfix固件给删了,就可以了,还有没有其它的操作必须要做的,就像是mikrotik那样升级完固件还要升级RouterBOARD那样的?
或者这两个内核不同的固件可以共存着随时切换吗?

原有的固件可以不删除的,危险操作没必要 :smile:

还有boot可能需要升级,注意开机后SSH进入命令行的提示。

固件不等于内核,一定程度上切换的概念和Linux内核不太一样。这两个固件命令行之中可以切换,在图形界面上可能只能重传操作升级。

那么就是我可以保留这两个固件,随时切换就可以了对吗,不需要在切换完之后升级boot之类的,想用1.0就切1.0,想用2.0就切2.0的对吗

切换版本是看boot是否支持这两个版本的!如果不支持后果很严重,而且据我所知boot向后兼容的版本跨度不大的,因此在临近的两个版本之间切换会比较稳妥。

然后切换启动固件的命令行自己注意别打错了,什么中英文键盘,大小写切忌乱输!:congratulations::four_leaf_clover:

那怎么看boot支不支持呢,可以直接在CLI里面看到吗

没有官方文档说明boot的支持版本范畴,只有你自己做大白鼠测试了,童鞋们会坐等你的变砖抱怨贴子 :crazy_face:

设备是买来用的,不是用来折腾自己的……能用够用即可,升级的工作并不一定是必须的……

那会有提示之类的告诉我boot支不支持当前的固件吗,我现在互相切换系统,edge浏览器进入路由器管理界面没有跳出来有什么提示之类的

不已经告诉你了嚒……有胆就试试做大白鼠,应该是你来告诉童鞋们是啥结果,这才是论坛的乐趣之一啊,分享踩坑经历,一起骂娘,不是么 :rofl:

当然也欢迎分享成功案例 :100: